Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225721 - Merge Review: ekiga
Summary: Merge Review: ekiga
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:32 UTC by Nobody's working on this, feel free to take it
Modified: 2008-10-10 09:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 09:06:10 UTC
dakingun: fedora-review+


Attachments (Terms of Use)
spec file cleanup (deleted)
2008-07-18 14:16 UTC, Peter Robinson
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:32:15 UTC
Fedora Merge Review: ekiga

http://cvs.fedora.redhat.com/viewcvs/devel/ekiga/
Initial Owner: veillard@redhat.com

Comment 1 Deji Akingunola 2007-04-14 17:03:59 UTC
GOOD:
* Package name conforms to the Fedora Naming Guidelines
* Source, Group and License tags properly in place
* Locales handled correctly
* All necessary BuildRequires listed.
* Package builds OK in Mock.
* Source matches upstream
md5sum: ec43c03ad942f87fb1d5cbcec5153b64  ekiga-2.0.7.tar.gz

NEEDSWORK:
* rpmlint have the following complaints
$ rpmlint ekiga-2.0.7-2.fc7.src.rpm
W: ekiga prereq-use scrollkeeper
W: ekiga unversioned-explicit-obsoletes gnomemeeting
W: ekiga macro-in-%changelog post
$ rpmlint ekiga-2.0.7-2.fc7.x86_64.rpm
W: ekiga incoherent-version-in-changelog 2.0.7-1 2.0.7-2.fc7
E: ekiga obsolete-not-provided gnomemeeting
W: ekiga non-conffile-in-etc /etc/gconf/schemas/ekiga.schemas
W: ekiga one-line-command-in-%postun scrollkeeper-update

There are also warnings as below in the build log;
Processing files: ekiga-2.0.7-2.fc7
warning: File listed twice: /usr/share/omf/ekiga/ekiga-C.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-bg.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-de.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-es.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-fr.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-pt_BR.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-sv.omf
warning: File listed twice: /usr/share/omf/ekiga/ekiga-uk.omf

It is sufficient to just have %{_datadir}/omf/ekiga without 
%{_datadir}/omf/ekiga/*.omf in the files manifest

BTW: There's a 2.0.9 release on the source ftp.

Comment 2 Deji Akingunola 2008-01-20 22:43:41 UTC
Though the package owner seemed to have ignored the review, a recent commit
shows some of the issues last raised here have been addressed. However, it the
Gconf and scrollkeeper scriplets doesn't seem to follow the guidelines at
http://fedoraproject.org/wiki/ScriptletSnippets ; the gconf scriplet especially
doesn't have/call the pre and preun requires. 

Comment 3 Peter Robinson 2008-07-18 14:16:01 UTC
Also to note is that it shouldn't have explicit requires as they should be
generated automatically

So these can go:
Requires: pwlib >= 1.10.10
Requires: opal >= 2.2.11
Requires: GConf2 >= 1.2.1
Requires: libgnomeui >= 2.0
Requires: libgnome >= 2.0
Requires: avahi >= 0.6.9
Requires: avahi-glib >= 0.6.9

And probably this one as well (I think building against e-d-s will automatically
require the package):
Requires: evolution-data-server

But you need to explicitly include a requires for dbus:
Requires: dbus

I'll attach a patch for the spec file that cleans up that plus a few other small
cleanups.

Also the *omf and help files are picked up by the " -f ekiga.lang" directive on
the %files so don't need to explicitly be in the files manifest, this is also
fixed in the patch.


Comment 4 Peter Robinson 2008-07-18 14:16:46 UTC
Created attachment 312142 [details]
spec file cleanup

Comment 5 Peter Robinson 2008-10-02 09:42:31 UTC
Hi Deji,

Can you re-review based on the current ekiga 3 build in rawhide.
http://koji.fedoraproject.org/koji/taskinfo?taskID=856416

Comment 6 Deji Akingunola 2008-10-09 12:18:44 UTC
Hi Peter,

I think I can just continue from where I left it off.

ISSUES:
* Is there any particular reason you're not following http://fedoraproject.org/wiki/ScriptletSnippets#GConf, I think the Gconf scriplet (and scrollkeeper too) needs more work (comment #2).
* rpmlint still gives warnings. They are mostly ignorable, but I think the handling of obsoleted gnomemeeting should follow the guildlines at https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages ;
>>
[deji@agape Download]$ rpmlint ekiga-3.0.0-4.fc10.src.rpm 
ekiga.src:37: W: unversioned-explicit-obsoletes gnomemeeting
ekiga.src: W: mixed-use-of-spaces-and-tabs (spaces: line 71, tab: line 1)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[deji@agape Download]$ rpmlint ekiga-3.0.0-4.fc10.x86_64.rpm 
ekiga.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/ekiga.schemas
ekiga.x86_64: W: obsolete-not-provided gnomemeeting
<<

Comment 7 Peter Robinson 2008-10-09 18:42:18 UTC
What is the policy on how long the obsolete needs to be provided. ekiga has been in Fedora replacing gnomemeeting since FC5. Given that the oldest supported release is F-8 and soon to be F-9 I think its probably time to drop the obsolete.

Comment 9 Peter Robinson 2008-10-09 20:43:19 UTC
OK. I've updated the spec for I think everything mentioned. I've also added script sections for updating the icon cache as I think it should be there as well. The spec is in cvs and I've done a scratch build (links below) as I wanted someone to check the script changes before I push it to rawhide. It works fine for me though.

http://cvs.fedoraproject.org/viewvc/rpms/ekiga/devel/ekiga.spec?revision=1.58&view=markup
http://koji.fedoraproject.org/koji/taskinfo?taskID=872034

Comment 10 Deji Akingunola 2008-10-10 04:18:33 UTC
The spec is O.K now. rpmlint only produces 1 warning, about a cosmetic mix of spaces and tabs.

+---------------------------------+
| Package APPROVED                |
+---------------------------------+

Comment 11 Peter Robinson 2008-10-10 09:06:10 UTC
Thanks! Build pushed to rawhide. The opal library that ekiga depends on needs a merge review as well if you have the time.


Note You need to log in before you can comment on or make changes to this bug.